Bug 135985 - missing return expression
missing return expression
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-16 04:22 EDT by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-18 08:37:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-10-16 04:22:14 EDT
Description of problem:

I just tried to compile package bash-3.0-9 from
Redhat Fedora Core 3 Test 2.

The compiler said

bashline.c:295: warning: `return' with no value, in function returning
non-void

The source code is

      if ((at == 0 && on_or_off == 0) || (at != 0 && on_or_off != 0))
        return;

Suggest add expression in the return statement.




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2004-10-18 08:37:13 EDT
Fixed before 3.0-16.

Note You need to log in before you can comment on or make changes to this bug.